Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.mcu
Class Timer16Bit.PairedRegister

    java.lang.Object
      avrora.sim.RWRegister
          avrora.sim.mcu.Timer16Bit.PairedRegister

All Implemented Interfaces:
  ActiveRegister

Direct Known Subclasses:
  Timer16Bit.OCRnxPairedRegister

Enclosing class:
  Timer16Bit

protected class Timer16Bit.PairedRegister
extends RWRegister

The `PairedRegister` class exists to implement the shared temporary register for the high byte of the 16-bit registers corresponding to a 16-bit timer. Accesses to the high byte of a register pair should go through this temporary byte. According to the manual, writes to the high byte are stored in the temporary register. When the low byte is written to, both the low and high byte are updated. On a read, the temporary high byte is updated when a read occurs on the low byte. The PairedRegister should be installed in place of the low register. Reads/writes on this register will act accordingly on the low register, as well as initiate a read/write on the associated high register.

Field Summary

Fields inherited from class avrora.sim.RWRegister
`value`

Method Summary
`byte` | `read()` The `read()` method reads the 8-bit value of the IO register as a byte.
`boolean` | `readBit(int bit)` The `readBit()` method reads a single bit from the IO register.
`void` | `write(byte val)` The `write()` method writes an 8-bit value to the IO register as a byte.
`void` | `writeBit(int bit, boolean val)` The `writeBit()` method writes a single bit value into the IO register at the specified bit offset.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### write

    public void write(byte val)

  Description copied from class: `RWRegister`
  The `write()` method writes an 8-bit value to the IO register as a byte. For simple `RWRegister` instances, this simply writes the internally stored value.

  Specified by:
    `write` in interface `ActiveRegister`
  Overrides:
    `write` in class `RWRegister`
  Parameters:
    `val` - the value to write

### writeBit

    public void writeBit(int bit,
                         boolean val)

  Description copied from class: `RWRegister`
  The `writeBit()` method writes a single bit value into the IO register at the specified bit offset. For simple `RWRegister` instances, this simply updates the bit in the internally stored value

  Specified by:
    `writeBit` in interface `ActiveRegister`
  Overrides:
    `writeBit` in class `RWRegister`
  Parameters:
    `bit` - the number of the bit to write
    `val` - the value of the bit to write

### read

    public byte read()

  Description copied from class: `RWRegister`
  The `read()` method reads the 8-bit value of the IO register as a byte. For simple `RWRegister` instances, this simply returns the internally stored value.

  Specified by:
    `read` in interface `ActiveRegister`
  Overrides:
    `read` in class `RWRegister`
  Returns:
    the value of the register as a byte

### readBit

    public boolean readBit(int bit)

  Description copied from class: `RWRegister`
  The `readBit()` method reads a single bit from the IO register.

  Specified by:
    `readBit` in interface `ActiveRegister`
  Overrides:
    `readBit` in class `RWRegister`
  Parameters:
    `bit` - the number of the bit to read
  Returns:
    the value of the bit as a boolean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD